CREATE OR REPLACE FUNCTION food600.kceny_rozpatie()
    RETURNS trigger
    LANGUAGE 'plpgsql'
    COST 100
    VOLATILE NOT LEAKPROOF
AS $BODY$
DECLARE mcdruhk INTEGER;
	mrozp NUMERIC(8,2) DEFAULT 0;
	mrozp_ciel NUMERIC(8,2) DEFAULT 0;
	mhladina SMALLINT;
	nakup NUMERIC(12,4);
	sadzba NUMERIC(5,2);
	cdata SMALLINT;
	oldcena NUMERIC(12,2);
	newcena NUMERIC(12,2);
	mcenaprum NUMERIC(12,4);
	cdruhk INTEGER;
	typ SMALLINT DEFAULT 0;
	midriadok INTEGER;
BEGIN
IF (TG_OP = 'INSERT')THEN
	RETURN NEW;
ELSE 
	SELECT c_druhk, cena_prum INTO cdruhk, mcenaprum FROM food600.karty WHERE c_karty=NEW.c_karty AND c_data=NEW.c_data;
	IF cdruhk>0 THEN
		cdata:=NEW.c_data;
		IF cdata=0 OR cdata IS NULL THEN
			cdata:=1;
		END IF;
		mhladina:=40;
		WHILE mhladina<160 LOOP
			mhladina:=mhladina+1;
			CASE mhladina
				WHEN 41 THEN oldcena:=OLD.cenaa0;
							newcena:=NEW.cenaa0;
				WHEN 42 THEN oldcena:=OLD.cenaa1;
							newcena:=NEW.cenaa1;
				WHEN 43 THEN oldcena:=OLD.cenaa2;
							newcena:=NEW.cenaa2;
				WHEN 44 THEN oldcena:=OLD.cenaa3;
							newcena:=NEW.cenaa3;
				WHEN 45 THEN oldcena:=OLD.cenaa4;
							newcena:=NEW.cenaa4;
				WHEN 46 THEN oldcena:=OLD.cenaa5;
							newcena:=NEW.cenaa5;
				WHEN 47 THEN oldcena:=OLD.cenaa6;
							newcena:=NEW.cenaa6;
				WHEN 48 THEN oldcena:=OLD.cenaa7;
							newcena:=NEW.cenaa7;
				WHEN 49 THEN oldcena:=OLD.cenaa8;
							newcena:=NEW.cenaa8;
				WHEN 50 THEN oldcena:=OLD.cenaa9;
							newcena:=NEW.cenaa9;
				WHEN 51 THEN oldcena:=OLD.cenab0;
							newcena:=NEW.cenab0;
				WHEN 52 THEN oldcena:=OLD.cenab1;
							newcena:=NEW.cenab1;
				WHEN 53 THEN oldcena:=OLD.cenab2;
							newcena:=NEW.cenab2;
				WHEN 54 THEN oldcena:=OLD.cenab3;
							newcena:=NEW.cenab3;
				WHEN 55 THEN oldcena:=OLD.cenab4;
							newcena:=NEW.cenab4;
				WHEN 56 THEN oldcena:=OLD.cenab5;
							newcena:=NEW.cenab5;
				WHEN 57 THEN oldcena:=OLD.cenab6;
							newcena:=NEW.cenab6;
				WHEN 58 THEN oldcena:=OLD.cenab7;
							newcena:=NEW.cenab7;
				WHEN 59 THEN oldcena:=OLD.cenab8;
							newcena:=NEW.cenab8;
				WHEN 60 THEN oldcena:=OLD.cenab9;
							newcena:=NEW.cenab9;
				WHEN 61 THEN oldcena:=OLD.cenac0;
							newcena:=NEW.cenac0;
				WHEN 62 THEN oldcena:=OLD.cenac1;
							newcena:=NEW.cenac1;
				WHEN 63 THEN oldcena:=OLD.cenac2;
							newcena:=NEW.cenac2;
				WHEN 64 THEN oldcena:=OLD.cenac3;
							newcena:=NEW.cenac3;
				WHEN 65 THEN oldcena:=OLD.cenac4;
							newcena:=NEW.cenac4;
				WHEN 66 THEN oldcena:=OLD.cenac5;
							newcena:=NEW.cenac5;
				WHEN 67 THEN oldcena:=OLD.cenac6;
							newcena:=NEW.cenac6;
				WHEN 68 THEN oldcena:=OLD.cenac7;
							newcena:=NEW.cenac7;
				WHEN 69 THEN oldcena:=OLD.cenac8;
							newcena:=NEW.cenac8;
				WHEN 70 THEN oldcena:=OLD.cenac9;
							newcena:=NEW.cenac9;
				WHEN 71 THEN oldcena:=OLD.cenad0;
							newcena:=NEW.cenad0;
				WHEN 72 THEN oldcena:=OLD.cenad1;
							newcena:=NEW.cenad1;
				WHEN 73 THEN oldcena:=OLD.cenad2;
							newcena:=NEW.cenad2;
				WHEN 74 THEN oldcena:=OLD.cenad3;
							newcena:=NEW.cenad3;
				WHEN 75 THEN oldcena:=OLD.cenad4;
							newcena:=NEW.cenad4;
				WHEN 76 THEN oldcena:=OLD.cenad5;
							newcena:=NEW.cenad5;
				WHEN 77 THEN oldcena:=OLD.cenad6;
							newcena:=NEW.cenad6;
				WHEN 78 THEN oldcena:=OLD.cenad7;
							newcena:=NEW.cenad7;
				WHEN 79 THEN oldcena:=OLD.cenad8;
							newcena:=NEW.cenad8;
				WHEN 80 THEN oldcena:=OLD.cenad9;
							newcena:=NEW.cenad9;
				WHEN 81 THEN oldcena:=OLD.cenae0;
							newcena:=NEW.cenae0;
				WHEN 82 THEN oldcena:=OLD.cenae1;
							newcena:=NEW.cenae1;
				WHEN 83 THEN oldcena:=OLD.cenae2;
							newcena:=NEW.cenae2;
				WHEN 84 THEN oldcena:=OLD.cenae3;
							newcena:=NEW.cenae3;
				WHEN 85 THEN oldcena:=OLD.cenae4;
							newcena:=NEW.cenae4;
				WHEN 86 THEN oldcena:=OLD.cenae5;
							newcena:=NEW.cenae5;
				WHEN 87 THEN oldcena:=OLD.cenae6;
							newcena:=NEW.cenae6;
				WHEN 88 THEN oldcena:=OLD.cenae7;
							newcena:=NEW.cenae7;
				WHEN 89 THEN oldcena:=OLD.cenae8;
							newcena:=NEW.cenae8;
				WHEN 90 THEN oldcena:=OLD.cenae9;
							newcena:=NEW.cenae9;
				WHEN 91 THEN oldcena:=OLD.cenaf0;
							newcena:=NEW.cenaf0;
				WHEN 92 THEN oldcena:=OLD.cenaf1;
							newcena:=NEW.cenaf1;
				WHEN 93 THEN oldcena:=OLD.cenaf2;
							newcena:=NEW.cenaf2;
				WHEN 94 THEN oldcena:=OLD.cenaf3;
							newcena:=NEW.cenaf3;
				WHEN 95 THEN oldcena:=OLD.cenaf4;
							newcena:=NEW.cenaf4;
				WHEN 96 THEN oldcena:=OLD.cenaf5;
							newcena:=NEW.cenaf5;
				WHEN 97 THEN oldcena:=OLD.cenaf6;
							newcena:=NEW.cenaf6;
				WHEN 98 THEN oldcena:=OLD.cenaf7;
							newcena:=NEW.cenaf7;
				WHEN 99 THEN oldcena:=OLD.cenaf8;
							newcena:=NEW.cenaf8;
				WHEN 100 THEN oldcena:=OLD.cenaf9;
							newcena:=NEW.cenaf9;
				WHEN 101 THEN oldcena:=OLD.cenag0;
							newcena:=NEW.cenag0;
				WHEN 102 THEN oldcena:=OLD.cenag1;
							newcena:=NEW.cenag1;
				WHEN 103 THEN oldcena:=OLD.cenag2;
							newcena:=NEW.cenag2;
				WHEN 104 THEN oldcena:=OLD.cenag3;
							newcena:=NEW.cenag3;
				WHEN 105 THEN oldcena:=OLD.cenag4;
							newcena:=NEW.cenag4;
				WHEN 106 THEN oldcena:=OLD.cenag5;
							newcena:=NEW.cenag5;
				WHEN 107 THEN oldcena:=OLD.cenag6;
							newcena:=NEW.cenag6;
				WHEN 108 THEN oldcena:=OLD.cenag7;
							newcena:=NEW.cenag7;
				WHEN 109 THEN oldcena:=OLD.cenag8;
							newcena:=NEW.cenag8;
				WHEN 110 THEN oldcena:=OLD.cenag9;
							newcena:=NEW.cenag9;
				WHEN 111 THEN oldcena:=OLD.cenah0;
							newcena:=NEW.cenah0;
				WHEN 112 THEN oldcena:=OLD.cenah1;
							newcena:=NEW.cenah1;
				WHEN 113 THEN oldcena:=OLD.cenah2;
							newcena:=NEW.cenah2;
				WHEN 114 THEN oldcena:=OLD.cenah3;
							newcena:=NEW.cenah3;
				WHEN 115 THEN oldcena:=OLD.cenah4;
							newcena:=NEW.cenah4;
				WHEN 116 THEN oldcena:=OLD.cenah5;
							newcena:=NEW.cenah5;
				WHEN 117 THEN oldcena:=OLD.cenah6;
							newcena:=NEW.cenah6;
				WHEN 118 THEN oldcena:=OLD.cenah7;
							newcena:=NEW.cenah7;
				WHEN 119 THEN oldcena:=OLD.cenah8;
							newcena:=NEW.cenah8;
				WHEN 120 THEN oldcena:=OLD.cenah9;
							newcena:=NEW.cenah9;
				WHEN 121 THEN oldcena:=OLD.cenai0;
							newcena:=NEW.cenai0;
				WHEN 122 THEN oldcena:=OLD.cenai1;
							newcena:=NEW.cenai1;
				WHEN 123 THEN oldcena:=OLD.cenai2;
							newcena:=NEW.cenai2;
				WHEN 124 THEN oldcena:=OLD.cenai3;
							newcena:=NEW.cenai3;
				WHEN 125 THEN oldcena:=OLD.cenai4;
							newcena:=NEW.cenai4;
				WHEN 126 THEN oldcena:=OLD.cenai5;
							newcena:=NEW.cenai5;
				WHEN 127 THEN oldcena:=OLD.cenai6;
							newcena:=NEW.cenai6;
				WHEN 128 THEN oldcena:=OLD.cenai7;
							newcena:=NEW.cenai7;
				WHEN 129 THEN oldcena:=OLD.cenai8;
							newcena:=NEW.cenai8;
				WHEN 130 THEN oldcena:=OLD.cenai9;
							newcena:=NEW.cenai9;
				WHEN 131 THEN oldcena:=OLD.cenaj0;
							newcena:=NEW.cenaj0;
				WHEN 132 THEN oldcena:=OLD.cenaj1;
							newcena:=NEW.cenaj1;
				WHEN 133 THEN oldcena:=OLD.cenaj2;
							newcena:=NEW.cenaj2;
				WHEN 134 THEN oldcena:=OLD.cenaj3;
							newcena:=NEW.cenaj3;
				WHEN 135 THEN oldcena:=OLD.cenaj4;
							newcena:=NEW.cenaj4;
				WHEN 136 THEN oldcena:=OLD.cenaj5;
							newcena:=NEW.cenaj5;
				WHEN 137 THEN oldcena:=OLD.cenaj6;
							newcena:=NEW.cenaj6;
				WHEN 138 THEN oldcena:=OLD.cenaj7;
							newcena:=NEW.cenaj7;
				WHEN 139 THEN oldcena:=OLD.cenaj8;
							newcena:=NEW.cenaj8;
				WHEN 140 THEN oldcena:=OLD.cenaj9;
							newcena:=NEW.cenaj9;
				WHEN 141 THEN oldcena:=OLD.cenak0;
							newcena:=NEW.cenak0;
				WHEN 142 THEN oldcena:=OLD.cenak1;
							newcena:=NEW.cenak1;
				WHEN 143 THEN oldcena:=OLD.cenak2;
							newcena:=NEW.cenak2;
				WHEN 144 THEN oldcena:=OLD.cenak3;
							newcena:=NEW.cenak3;
				WHEN 145 THEN oldcena:=OLD.cenak4;
							newcena:=NEW.cenak4;
				WHEN 146 THEN oldcena:=OLD.cenak5;
							newcena:=NEW.cenak5;
				WHEN 147 THEN oldcena:=OLD.cenak6;
							newcena:=NEW.cenak6;
				WHEN 148 THEN oldcena:=OLD.cenak7;
							newcena:=NEW.cenak7;
				WHEN 149 THEN oldcena:=OLD.cenak8;
							newcena:=NEW.cenak8;
				WHEN 150 THEN oldcena:=OLD.cenak9;
							newcena:=NEW.cenak9;
				WHEN 151 THEN oldcena:=OLD.cenal0;
							newcena:=NEW.cenal0;
				WHEN 152 THEN oldcena:=OLD.cenal1;
							newcena:=NEW.cenal1;
				WHEN 153 THEN oldcena:=OLD.cenal2;
							newcena:=NEW.cenal2;
				WHEN 154 THEN oldcena:=OLD.cenal3;
							newcena:=NEW.cenal3;
				WHEN 155 THEN oldcena:=OLD.cenal4;
							newcena:=NEW.cenal4;
				WHEN 156 THEN oldcena:=OLD.cenal5;
							newcena:=NEW.cenal5;
				WHEN 157 THEN oldcena:=OLD.cenal6;
							newcena:=NEW.cenal6;
				WHEN 158 THEN oldcena:=OLD.cenal7;
							newcena:=NEW.cenal7;
				WHEN 159 THEN oldcena:=OLD.cenal8;
							newcena:=NEW.cenal8;
				WHEN 160 THEN oldcena:=OLD.cenal9;
							newcena:=NEW.cenal9;
			END CASE;
			IF oldcena<>newcena THEN
				IF newcena=0 THEN 
					DELETE FROM food600.rozpatia WHERE c_karty=NEW.c_karty AND hladina=mhladina AND c_data=cdata;				
				ELSE 
					SELECT CASE mhladina WHEN 41 THEN dana0
						WHEN 42 THEN dana1
						WHEN 43 THEN dana2
						WHEN 44 THEN dana3
						WHEN 45 THEN dana4
						WHEN 46 THEN dana5
						WHEN 47 THEN dana6
						WHEN 48 THEN dana7
						WHEN 49 THEN dana8
						WHEN 50 THEN dana9
						WHEN 51 THEN danb0
						WHEN 52 THEN danb1
						WHEN 53 THEN danb2
						WHEN 54 THEN danb3
						WHEN 55 THEN danb4
						WHEN 56 THEN danb5
						WHEN 57 THEN danb6
						WHEN 58 THEN danb7
						WHEN 59 THEN danb8
						WHEN 60 THEN danb9
						WHEN 61 THEN danc0
						WHEN 62 THEN danc1
						WHEN 63 THEN danc2
						WHEN 64 THEN danc3
						WHEN 65 THEN danc4
						WHEN 66 THEN danc5
						WHEN 67 THEN danc6
						WHEN 68 THEN danc7
						WHEN 69 THEN danc8
						WHEN 70 THEN danc9
						WHEN 71 THEN dand0
						WHEN 72 THEN dand1
						WHEN 73 THEN dand2
						WHEN 74 THEN dand3
						WHEN 75 THEN dand4
						WHEN 76 THEN dand5
						WHEN 77 THEN dand6
						WHEN 78 THEN dand7
						WHEN 79 THEN dand8
						WHEN 80 THEN dand9
						WHEN 81 THEN dane0
						WHEN 82 THEN dane1
						WHEN 83 THEN dane2
						WHEN 84 THEN dane3
						WHEN 85 THEN dane4
						WHEN 86 THEN dane5
						WHEN 87 THEN dane6
						WHEN 88 THEN dane7
						WHEN 89 THEN dane8
						WHEN 90 THEN dane9
						WHEN 91 THEN danf0
						WHEN 92 THEN danf1
						WHEN 93 THEN danf2
						WHEN 94 THEN danf3
						WHEN 95 THEN danf4
						WHEN 96 THEN danf5
						WHEN 97 THEN danf6
						WHEN 98 THEN danf7
						WHEN 99 THEN danf8
						WHEN 100 THEN danf9
						WHEN 101 THEN dang0
						WHEN 102 THEN dang1
						WHEN 103 THEN dang2
						WHEN 104 THEN dang3
						WHEN 105 THEN dang4
						WHEN 106 THEN dang5
						WHEN 107 THEN dang6
						WHEN 108 THEN dang7
						WHEN 109 THEN dang8
						WHEN 110 THEN dang9
						WHEN 111 THEN danh0
						WHEN 112 THEN danh1
						WHEN 113 THEN danh2
						WHEN 114 THEN danh3
						WHEN 115 THEN danh4
						WHEN 116 THEN danh5
						WHEN 117 THEN danh6
						WHEN 118 THEN danh7
						WHEN 119 THEN danh8
						WHEN 120 THEN danh9
						WHEN 121 THEN dani0
						WHEN 122 THEN dani1
						WHEN 123 THEN dani2
						WHEN 124 THEN dani3
						WHEN 125 THEN dani4
						WHEN 126 THEN dani5
						WHEN 127 THEN dani6
						WHEN 128 THEN dani7
						WHEN 129 THEN dani8
						WHEN 130 THEN dani9
						WHEN 131 THEN danj0
						WHEN 132 THEN danj1
						WHEN 133 THEN danj2
						WHEN 134 THEN danj3
						WHEN 135 THEN danj4
						WHEN 136 THEN danj5
						WHEN 137 THEN danj6
						WHEN 138 THEN danj7
						WHEN 139 THEN danj8
						WHEN 140 THEN danj9
						WHEN 141 THEN dank0
						WHEN 142 THEN dank1
						WHEN 143 THEN dank2
						WHEN 144 THEN dank3
						WHEN 145 THEN dank4
						WHEN 146 THEN dank5
						WHEN 147 THEN dank6
						WHEN 148 THEN dank7
						WHEN 149 THEN dank8
						WHEN 150 THEN dank9
						WHEN 151 THEN danl0
						WHEN 152 THEN danl1
						WHEN 153 THEN danl2
						WHEN 154 THEN danl3
						WHEN 155 THEN danl4
						WHEN 156 THEN danl5
						WHEN 157 THEN danl6
						WHEN 158 THEN danl7
						WHEN 159 THEN danl8
						WHEN 160 THEN danl9
						END
						INTO sadzba FROM food600.skupiny WHERE c_druh=cdruhk AND c_data=cdata;
					SELECT CASE mhladina WHEN 41 THEN rozpa0
						WHEN 42 THEN rozpa1
						WHEN 43 THEN rozpa2
						WHEN 44 THEN rozpa3
						WHEN 45 THEN rozpa4
						WHEN 46 THEN rozpa5
						WHEN 47 THEN rozpa6
						WHEN 48 THEN rozpa7
						WHEN 49 THEN rozpa8
						WHEN 50 THEN rozpa9
						WHEN 51 THEN rozpb0
						WHEN 52 THEN rozpb1
						WHEN 53 THEN rozpb2
						WHEN 54 THEN rozpb3
						WHEN 55 THEN rozpb4
						WHEN 56 THEN rozpb5
						WHEN 57 THEN rozpb6
						WHEN 58 THEN rozpb7
						WHEN 59 THEN rozpb8
						WHEN 60 THEN rozpb9
						WHEN 61 THEN rozpc0
						WHEN 62 THEN rozpc1
						WHEN 63 THEN rozpc2
						WHEN 64 THEN rozpc3
						WHEN 65 THEN rozpc4
						WHEN 66 THEN rozpc5
						WHEN 67 THEN rozpc6
						WHEN 68 THEN rozpc7
						WHEN 69 THEN rozpc8
						WHEN 70 THEN rozpc9
						WHEN 71 THEN rozpd0
						WHEN 72 THEN rozpd1
						WHEN 73 THEN rozpd2
						WHEN 74 THEN rozpd3
						WHEN 75 THEN rozpd4
						WHEN 76 THEN rozpd5
						WHEN 77 THEN rozpd6
						WHEN 78 THEN rozpd7
						WHEN 79 THEN rozpd8
						WHEN 80 THEN rozpd9
						WHEN 81 THEN rozpe0
						WHEN 82 THEN rozpe1
						WHEN 83 THEN rozpe2
						WHEN 84 THEN rozpe3
						WHEN 85 THEN rozpe4
						WHEN 86 THEN rozpe5
						WHEN 87 THEN rozpe6
						WHEN 88 THEN rozpe7
						WHEN 89 THEN rozpe8
						WHEN 90 THEN rozpe9
						WHEN 91 THEN rozpf0
						WHEN 92 THEN rozpf1
						WHEN 93 THEN rozpf2
						WHEN 94 THEN rozpf3
						WHEN 95 THEN rozpf4
						WHEN 96 THEN rozpf5
						WHEN 97 THEN rozpf6
						WHEN 98 THEN rozpf7
						WHEN 99 THEN rozpf8
						WHEN 100 THEN rozpf9
						WHEN 101 THEN rozpg0
						WHEN 102 THEN rozpg1
						WHEN 103 THEN rozpg2
						WHEN 104 THEN rozpg3
						WHEN 105 THEN rozpg4
						WHEN 106 THEN rozpg5
						WHEN 107 THEN rozpg6
						WHEN 108 THEN rozpg7
						WHEN 109 THEN rozpg8
						WHEN 110 THEN rozpg9
						WHEN 111 THEN rozph0
						WHEN 112 THEN rozph1
						WHEN 113 THEN rozph2
						WHEN 114 THEN rozph3
						WHEN 115 THEN rozph4
						WHEN 116 THEN rozph5
						WHEN 117 THEN rozph6
						WHEN 118 THEN rozph7
						WHEN 119 THEN rozph8
						WHEN 120 THEN rozph9
						WHEN 121 THEN rozpi0
						WHEN 122 THEN rozpi1
						WHEN 123 THEN rozpi2
						WHEN 124 THEN rozpi3
						WHEN 125 THEN rozpi4
						WHEN 126 THEN rozpi5
						WHEN 127 THEN rozpi6
						WHEN 128 THEN rozpi7
						WHEN 129 THEN rozpi8
						WHEN 130 THEN rozpi9
						WHEN 131 THEN rozpj0
						WHEN 132 THEN rozpj1
						WHEN 133 THEN rozpj2
						WHEN 134 THEN rozpj3
						WHEN 135 THEN rozpj4
						WHEN 136 THEN rozpj5
						WHEN 137 THEN rozpj6
						WHEN 138 THEN rozpj7
						WHEN 139 THEN rozpj8
						WHEN 140 THEN rozpj9
						WHEN 141 THEN rozpk0
						WHEN 142 THEN rozpk1
						WHEN 143 THEN rozpk2
						WHEN 144 THEN rozpk3
						WHEN 145 THEN rozpk4
						WHEN 146 THEN rozpk5
						WHEN 147 THEN rozpk6
						WHEN 148 THEN rozpk7
						WHEN 149 THEN rozpk8
						WHEN 150 THEN rozpk9
						WHEN 151 THEN rozpl0
						WHEN 152 THEN rozpl1
						WHEN 153 THEN rozpl2
						WHEN 154 THEN rozpl3
						WHEN 155 THEN rozpl4
						WHEN 156 THEN rozpl5
						WHEN 157 THEN rozpl6
						WHEN 158 THEN rozpl7
						WHEN 159 THEN rozpl8
						WHEN 160 THEN rozpl9
						END
						INTO mrozp_ciel FROM food600.skupinyrozpatia WHERE c_druh=cdruhk AND c_data=cdata;
					IF mrozp_ciel IS NOT NULL AND mrozp_ciel>0 THEN
						IF sadzba=0 THEN
							sadzba:=1;
						END IF;
						IF typ=0 THEN
							IF dajvarnamelogical('FOOD_SET','','is_spanne')=1 THEN
								typ:=3;
							ELSE
								IF dajvarnamelogical('FOOD_SET','','isfoodcost')=1 THEN
									typ:=2;
								ELSE							
									typ:=1;
								END IF;
							END IF;
						END IF;
						mrozp:=food600.spocitajrozpatie(newcena, sadzba, mcenaprum, typ);
						IF  mrozp<mrozp_ciel THEN 
							SELECT idriadok INTO midriadok FROM food600.rozpatia WHERE c_karty=new.c_karty AND hladina=mhladina AND c_data=cdata;
							IF midriadok  IS NULL THEN
								INSERT INTO food600.rozpatia (c_karty, hladina, rozp, rozp_ciel, c_data) VALUES (new.c_karty, mhladina, mrozp, mrozp_ciel, cdata);
							ELSE
								UPDATE food600.rozpatia SET rozp=mrozp, rozp_ciel=mrozp_ciel WHERE rozpatia.c_karty=NEW.c_karty AND rozpatia.hladina=mhladina AND rozpatia.c_data=cdata;
							END IF;
						ELSE
							DELETE FROM food600.rozpatia WHERE c_karty=NEW.c_karty AND hladina=mhladina AND c_data=cdata;				
						END IF;
					ELSE
						DELETE FROM food600.rozpatia WHERE c_karty=NEW.c_karty AND hladina=mhladina AND c_data=cdata;				
					END IF;
				END IF;
			END IF;
		END LOOP;
	ELSE
		DELETE FROM food600.rozpatia WHERE c_karty=NEW.c_karty AND c_data=cdata;
	END IF;
	RETURN NEW;
END IF;
END
$BODY$;
